PHP Manual
Prev |  | Next

# HttpRequestPool

(no version information, might be only in CVS)

HttpRequestPool -- HTTP Request Pool Class

## Synopsis

    class HttpRequest implements Iterator, Countable

## Class Members

### Properties

The HttpRequestPool class does not have any properties.

### Predefined Constants

The HttpRequestPool class does not have any constants.

### Methods

HttpRequestPool::construct()
HttpRequestPool::destruct()
HttpRequestPool::attach()
HttpRequestPool::detach()
HttpRequestPool::getAttachedRequests()
HttpRequestPool::getFinishedRequests()
HttpRequestPool::reset()
HttpRequestPool::send()
HttpRequestPool::socketPerform()
HttpRequestPool::socketSelect()

Prev | Home | Next
HttpRequest::setUrl | Up | HttpRequestPool::attach